package com.zhentao.controller;

import com.zhentao.domain.UserLogin;
import com.zhentao.dto.LoginDto;
import com.zhentao.service.UserLoginService;
import com.zhentao.vo.ResultVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/user")
public class UserController {
    @Resource
    private UserLoginService userLoginService;
    @RequestMapping("/register")
    public ResultVo register(@RequestBody LoginDto loginDto){
        return userLoginService.register(loginDto);
    }
    @RequestMapping("/login")
    public ResultVo login(@RequestBody LoginDto loginDto){
        return userLoginService.login(loginDto);
    }
}
