package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName coupon
 */
@TableName(value ="coupon")
@Data
public class Coupon implements Serializable {
    /**
     * 优惠券id
     */
    @TableId
    private Long id;

    /**
     * 类型（0默认满减，1按照倍率）
     */
    private Integer type;

    /**
     * 优惠金额
     */
    private BigDecimal discount;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}