package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName product_sku
 */
@TableName(value ="product_sku")
@Data
public class ProductSku implements Serializable {
    /**
     * 商品sku
     */
    @TableId
    private Long id;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 描述
     */
    private String desc;

    /**
     * 图片
     */
    private String image;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}