package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName order_item
 */
@TableName(value ="order_item")
@Data
public class OrderItem implements Serializable {
    /**
     * 明细id
     */
    @TableId
    private Long id;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 单价
     */
    private BigDecimal productPrice;

    /**
     * 小计
     */
    private BigDecimal totalPrice;

    /**
     * 状态(默认1正常 0取消 2退货)
     */
    private Integer status;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}