package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName user_login
 */
@TableName(value ="user_login")
@Data
public class UserLogin implements Serializable {
    /**
     * 用户id
     */
    @TableId
    private Long id;

    /**
     * 唯一id
     */
    private String openId;

    /**
     * 设备id
     */
    private String unionId;

    /**
     * 加密
     */
    private String sessionKey;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 假删
     */
    private Integer isDel;

    /**
     * 余额
     */
    private BigDecimal money;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}